### Method

# Adw WrapBox set_natural_line_length_unit

since: 1.7

#### Declaration [src]

    void
    adw_wrap_box_set_natural_line_length_unit (
      AdwWrapBox* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for natural line length.

Allows the length to vary depending on the text scale factor.

See `AdwWrapBox:natural-line-length`.

Available since: 1.7

Sets property | `Adw.WrapBox:natural-line-length-unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.